Skip to main content
GET
/
api
/
v1
/
tasks
/
{task_id}
Query task (HappyHorse)
curl --request GET \
  --url https://api.aiid.edu.kg/api/v1/tasks/{task_id} \
  --header 'Authorization: Bearer <token>'
{
  "output": {
    "task_id": "<string>",
    "submit_time": "<string>",
    "scheduled_time": "<string>",
    "end_time": "<string>",
    "video_url": "<string>",
    "code": "<string>",
    "message": "<string>"
  },
  "usage": {
    "duration": 123,
    "SR": 123,
    "video_count": 123
  },
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Use Bearer Token authentication. Format: Authorization: Bearer sk-xxxxxx

Path Parameters

task_id
string
required

Task ID, from the id returned when creating the task.

Response

200 - application/json

Query successful

output
object
usage
object
request_id
string